use std::io::prelude::*;
use std::fs::File;
use std::env::args;

fn main()
{
	let argv = args().collect::<Vec<String>>();
	if argv.len() != 3
	{
		eprintln!("no. <iterations> <output.dat>");
		return;
	}
	let n = argv[1].parse::<usize>().unwrap();
	let mut output_file = File::create(&argv[2]).unwrap();
	for i in 0..n
	{
		for _ in 0..2*i
		{
			output_file.write_all(&-1.0f32.to_be_bytes()).unwrap();
		}
		for _ in 0..2*i+1
		{
			output_file.write_all(&1.0f32.to_be_bytes()).unwrap();
		}
	}
}
